# nvme-wdc-drive-log(1) Manual Page

## NAME

nvme-wdc-drive-log - Retrieve WDC device's drive log and save to file.

## SYNOPSIS

    nvme wdc drive-log <device> [--output-file=<FILE>, -o <FILE>]

## DESCRIPTION

For the NVMe device given, sends the wdc vendor unique drive log request and saves the result to a file.

The <device> parameter is mandatory and may be either the NVMe character device (ex: /dev/nvme0), or a namespace block device (ex: /dev/nvme0n1).

This will only work on WDC devices supporting this feature. Results for any other device are undefined.

## OPTIONS

-o <FILE>
--output-file=<FILE>

  Output file; defaults to device serial number followed by "drive_log" suffix

## EXAMPLES

- Gets the drive log from the device and saves to default file in current directory (e.g. STM00019F3F9drive_log.bin):

      # nvme wdc drive-log /dev/nvme0

- Gets the drive log from the device and saves to defined file in current directory (e.g. testSTM00019F3F9drive_log.bin):

      # nvme wdc drive-log /dev/nvme0 -o test

- Gets the drive log from the device and saves to defined file with pathname (e.g. /tmp/testSTM00019F3F9drive_log.bin):

      # nvme wdc drive-log /dev/nvme0 -o /tmp/test

## NVME

Part of the nvme-user suite